/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

import java.util.ArrayList;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
public class InitImpl implements javax.ejb.Init
{
   private ArrayList values = new ArrayList();

   public InitImpl()
   {

   }

   public void addValue(String value)
   {
      values.add(value);
   }

   public String[] value()
   {
      String[] result = new String[values.size()];
      values.toArray(result);

      return result;
   }

   public Class annotationType()
   {
      return javax.ejb.Init.class;
   }
}